### Enumeration

# GtkMessageType

#### Declaration

    enum Gtk.MessageType

#### Description [src]

The type of message being displayed in a `GtkMessageDialog`.

#### Members

`GTK_MESSAGE_INFO`

  Informational message.

  - Value: `0`
  - Nickname: `info`
  - Available since: 4.0
`GTK_MESSAGE_WARNING`

  Non-fatal warning message.

  - Value: `1`
  - Nickname: `warning`
  - Available since: 4.0
`GTK_MESSAGE_QUESTION`

  Question requiring a choice.

  - Value: `2`
  - Nickname: `question`
  - Available since: 4.0
`GTK_MESSAGE_ERROR`

  Fatal error message.

  - Value: `3`
  - Nickname: `error`
  - Available since: 4.0
`GTK_MESSAGE_OTHER`

  None of the above.

  - Value: `4`
  - Nickname: `other`
  - Available since: 4.0